%global pkg_name syb

%global common_summary Haskell Scrap Your Boilerplate library

%global common_description This package contains the generics system described in the "Scrap Your\
Boilerplate" papers (see http://www.cs.uu.nl/wiki/GenericProgramming/SYB).\
It defines the Data class of types permitting folding and unfolding of\
constructor applications, instances of this class for primitive types, and\
a variety of traversals.

Name:           ghc-%{pkg_name}
# part of haskell-platform-2011.4.0.0
Version:        0.3.3
Release:        3%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros %{!?without_hscolour:hscolour}
# END cabal2spec
BuildRequires:  ghc-base-prof

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files
%doc README


%changelog
* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Dec 28 2011 Jens Petersen <petersen@redhat.com> - 0.3.3-2
- move ghc_devel_package and ghc_devel_description to avoid srpm description

* Tue Dec 27 2011 Jens Petersen <petersen@redhat.com> - 0.3.3-1
- update to 0.3.3 for haskell-platform-2011.4.0.0
- update to cabal2spec-0.25.1
- add README to devel doc

* Fri Oct 21 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.3-8
- rebuild with new gmp

* Tue Jun 21 2011 Jens Petersen <petersen@redhat.com> - 0.3-7
- ghc_arches replaces ghc_excluded_archs

* Mon Jun 20 2011 Jens Petersen <petersen@redhat.com> - 0.3-6
- BR ghc-Cabal-devel and use ghc_excluded_archs

* Wed May 25 2011 Jens Petersen <petersen@redhat.com> - 0.3-5
- update to cabal2spec-0.22.7

* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 0.3-4
- Enable build on sparcv9

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jan 14 2011 Jens Petersen <petersen@redhat.com> - 0.3-2
- update to cabal2spec-0.22.4

* Sun Dec  5 2010 Jens Petersen <petersen@redhat.com> - 0.3-1
- update to 0.3

* Thu Nov 25 2010 Jens Petersen <petersen@redhat.com> - 0.2.2-1
- BSD license
- summary and description

* Thu Nov 25 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.2.2-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
